"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tscommons_core_1 = require("tscommons-core");
function isTAnonymousMood(test) {
    if (!tscommons_core_1.CommonsType.hasPropertyString(test, 'unicode'))
        return false;
    if (!tscommons_core_1.CommonsType.hasPropertyNumber(test, 'x'))
        return false;
    if (!tscommons_core_1.CommonsType.hasPropertyNumber(test, 'y'))
        return false;
    if (!tscommons_core_1.CommonsType.hasPropertyNumber(test, 'age'))
        return false;
    if (!tscommons_core_1.CommonsType.hasPropertyBooleanOrUndefined(test, 'self'))
        return false;
    return true;
}
exports.isTAnonymousMood = isTAnonymousMood;
//# sourceMappingURL=tanonymous-mood.js.map